import somes from 'somes';
import { ViewController } from '../lib/ctr';
import Page, { DataPage } from '../lib/page';
export default class CMSPage extends Page {
    reloadNifty() {
        require('cport-nifty/js/nifty.js').initialize();
    }
    triggerMounted() {
        this.reloadNifty();
    }
}
class CMSDataPageIMPL extends CMSPage {
}
somes.extendClass(CMSDataPageIMPL, DataPage, ViewController.prototype);
export const CMSDataPage = CMSDataPageIMPL;
